View Issue Details

IDProjectCategoryView StatusLast Update
0011933MediaMonkey for AndroidNow Playingpublic2019-10-10 02:14
Reporterrusty 
PriorityimmediateSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version1.0.4 
Target Version1.1.3Fixed in Version1.1.3 
Summary0011933: It's easy to accidentally overwrite the current ad-hoc playlist
DescriptionIf the user is adding tracks on an adhoc basis to the current playlist, it's possible to easily/accidentally overwrite the current playlist either by:
- clicking a track
- pressing [Play Now] button instead of [Play last]
Moreover, there's no way to recover it.

Possible fixes:
a) Do like some other apps that continually add to the Now Playing list (so that the user can easily go back to the previous point in the NP list, just prior to when tracks were mistakenly added)

b) Add an undo function to revert to the previous playlist (not as good because it loses the work done to select the various tracks that were mistakenly added)

c) Add a warning, if MM is playing e.g. This will interrupt playback and delete the Now Playing list. [Proceed] [Cancel]. But this is too intrusive.

d) Change the Play Now / Play Next buttons so that they aren't going to be pressed accidentally. This may be a good idea anyhow (e.g. it could be done by having a single button to Play Now / Play Next / Play last ), but this doesn't solve the case of accidentally clicking a track which would also initiate playback.

==> Option a) is probably the best
TagsNo tags attached.
Fixed in build461

Relationships

has duplicate 0010700 resolvedrusty MediaMonkey for Android Now Playing list can be easily lost and no way to recover it 
related to 0010744 resolvedmartin MediaMonkey for Android Now Playing tracklist performance 
related to 0012181 resolvedmarek MediaMonkey for Android Shuffle: Function Tweaks 
related to 0011625 feedbackrusty MediaMonkey for Android Shuffle mode: play order isn't displayed or retained 
related to 0000023 feedbackrusty MediaMonkey (current) Configurable Shuffle functionality (current behavior vs randomize list) 
related to 0009802 new MediaMonkey for Android Mechanism to avoid accidental initiation of playback 
related to 0016029 feedbackmartin MediaMonkey for Android "'Play Now ' preserves list" doesn't work correctly 

Activities

martin

2015-06-12 13:58

developer   ~0042620

Last edited: 2015-06-12 13:58

View 2 revisions

Fixed in build 1.1.3.451
implemented option a) It means that tracks are added at beginning and first track start play. I have also added new option:
 
"Play now"
Clear "Now playing" list on this action.

When this option is checked,the behavior is same as before(unchecked as default).

rusty

2015-07-22 03:55

administrator   ~0042730

Tested 460, and unfortunately, the current implementation doesn't meet the requirements and is buggy. For this reason we need to implement iv) right away.

It doesn't meet the requirements in the sense that:
i) 'Play Now' causes tracks in the NP list that have played to be deleted. e.g. if track 2 of 1,2,3,4 in the NP list is playing and the user 'Plays Now' tracks 5,6,7, then track 1 and 2 are removed from NP and the NP list order is 5,6,7,3,4 (even though it should actually be 1,2,5,6,7,3,4.

It's also buggy in the sense that:
ii) When the user selects a set of tracks and then 'Play Now', the first track in the set will play, but then the next track to play is the track that was going to play before the tracks were added. e.g. if track 2 of 1,2,3,4 is playing and the user 'Plays Now' tracks 5,6,7, then the NP list shows 5,6,7,3,4 and as soon as track 5 completes, track 3 starts playing

iii) Lastly, I would suggest a change in wording/behavior:
Play Now
-->
'Play Now' preserves list

Clear 'Now playing' list on this action.
-->
Prevent accidental clearing of the 'Now playing' list

iv) Finally and most importantly, this behavior should be disabled by default--at least until we're sure that it works correctly.

martin

2015-07-22 09:49

developer   ~0042737

Fixed in build 1.1.3.461

rusty

2015-07-22 18:23

administrator   ~0042743

Verified 461.